<!DOCTYPE html>
<html>
  <head>
    <title>Flexbox</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="styles/styles.css" />
  </head>

  <body>
    <section class="crimson-flex-parent">
      <div class="crimson-flex-child">
        <p>1</p>
      </div>
      <div class="crimson-flex-child">
        <p>1</p>
      </div>
    </section>

    <hr />

    <section class="orange-flex-parent">
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
      <div class="orange-flex-child">
        <p>2</p>
      </div>
    </section>

    <hr />

    <section class="blue-flex-parent">
      <div class="blue-flex-child">
        <p>3</p>
      </div>
      <div class="blue-flex-child">
        <p>3</p>
      </div>
      <div class="blue-flex-child">
        <p>3</p>
      </div>
    </section>

    <hr />

    <section class="rose-section">
      <div>
        <div class="big-img-wrapper">
          <img src="images/rose.jpg" alt="rose" />
        </div>

        <div class="additional-info">
          <p>August 8, 2021</p>
          <p>8 comments</p>
        </div>

        <div>
          <p>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse
            auctor efficitur nulla, id feugiat arcu pharetra ac.
          </p>
        </div>

        <hr />

        <div class="sub-section">
          <div class="small-img-wrapper">
            <img src="images/rose.jpg" alt="rose" />
          </div>
          <div class="text-wrapper">
            <p>Lorem ipsum.</p>
            <p>August 4 2010, 8 comments</p>
          </div>
        </div>

        <hr />

        <div class="sub-section">
          <div class="small-img-wrapper">
            <img src="images/rose.jpg" alt="rose" />
          </div>
          <div class="text-wrapper">
            <p>Lorem ipsum.</p>
            <p>August 4 2010, 8 comments</p>
          </div>
        </div>
      </div>
    </section>
  </body>
</html>
